singleton Material(j50_lettering)
{
    mapTo = "j50_lettering";
    specularMap[0] = "vehicles/j50/j50_lettering_s.dds";
    normalMap[0] = "vehicles/j50/j50_lettering_n.dds";
    diffuseMap[0] = "vehicles/j50/j50_lettering_d.dds";
    reflectivityMap[0] = "vehicles/j50/j50_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(j50)
{
    mapTo = "j50";
    diffuseMap[2] = "vehicles/j50/j50_c.dds";
    specularMap[2] = "vehicles/j50/j50_s.dds";
    normalMap[2] = "vehicles/j50/j50_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_d.dds";
    specularMap[1] = "vehicles/j50/j50_s.dds";
    normalMap[1] = "vehicles/j50/j50_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_widebody)
{
    mapTo = "j50_widebody";
    diffuseMap[2] = "vehicles/j50/j50_widebody_c.dds";
    specularMap[2] = "vehicles/j50/j50_widebody_s.dds";
    normalMap[2] = "vehicles/j50/j50_widebody_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_widebody_d.dds";
    specularMap[1] = "vehicles/j50/j50_widebody_s.dds";
    normalMap[1] = "vehicles/j50/j50_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("j50.skin.apex")
{
    mapTo = "j50.skin.apex";
	colorPaletteMap[2] = "vehicles/j50/j50_skin_apex_palette_uv1.dds";
    overlayMap[2] = "vehicles/j50/j50_skin_apex.png";
    diffuseMap[2] = "vehicles/j50/j50_c.dds";
    specularMap[2] = "vehicles/j50/j50_s.dds";
    normalMap[2] = "vehicles/j50/j50_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_d.dds";
    specularMap[1] = "vehicles/j50/j50_s.dds";
    normalMap[1] = "vehicles/j50/j50_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("j50_widebody.skin.apex")
{
    mapTo = "j50_widebody.skin.apex";
	colorPaletteMap[2] = "vehicles/j50/j50_skin_apex_palette_uv1.dds";
    overlayMap[2] = "vehicles/j50/j50_skin_apex.png";
    diffuseMap[2] = "vehicles/j50/j50_widebody_c.dds";
    specularMap[2] = "vehicles/j50/j50_widebody_s.dds";
    normalMap[2] = "vehicles/j50/j50_widebody_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_widebody_d.dds";
    specularMap[1] = "vehicles/j50/j50_widebody_s.dds";
    normalMap[1] = "vehicles/j50/j50_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_interior)
{
    mapTo = "j50_interior";
    normalMap[0] = "vehicles/j50/j50_interior_n.dds";
    diffuseMap[0] = "vehicles/j50/j50_interior_d.dds";
    specularMap[0] = "vehicles/j50/j50_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_intcarpet)
{
    mapTo = "j50_intcarpet";
    diffuseMap[0] = "vehicles/j50/j50_intcarpet_d.dds";
    normalMap[0] = "vehicles/j50/j50_intcarpet_n.dds";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("j50_interior.skin_interior.blue")
{
    mapTo = "j50_interior.skin_interior.blue";
    normalMap[0] = "vehicles/j50/j50_interior_n.dds";
    diffuseMap[0] = "vehicles/j50/j50_interior_d_blue.dds";
    specularMap[0] = "vehicles/j50/j50_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("j50_intcarpet.skin_interior.blue")
{
    mapTo = "j50_intcarpet.skin_interior.blue";
    diffuseMap[0] = "vehicles/j50/j50_intcarpet_d_blue.dds";
    normalMap[0] = "vehicles/j50/j50_intcarpet_n.dds";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_screen_1)
{
    mapTo = "j50_screen_1";
    diffuseMap[0] = "@screen_gps";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_seats)
{
    mapTo = "j50_seats";
    normalMap[0] = "vehicles/j50/j50_seats_n.dds";
    diffuseMap[0] = "vehicles/j50/j50_seats_d.dds";
    specularMap[0] = "vehicles/j50/j50_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("j50_seats.skin_interior.blue")
{
    mapTo = "j50_seats.skin_interior.blue";
    normalMap[0] = "vehicles/j50/j50_seats_n.dds";
    diffuseMap[0] = "vehicles/j50/j50_seats_d_blue.dds";
    specularMap[0] = "vehicles/j50/j50_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_gauges_off)
{
    mapTo = "j50_gauges_off";
    diffuseMap[0] = "vehicles/j50/j50_gauges_d.dds";
    specularMap[0] = "vehicles/j50/j50_gauges_s.dds";
    normalMap[0] = "vehicles/j50/j50_gauges_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(j50_gauges_on)
{
    mapTo = "j50_gauges_on";
    diffuseMap[1] = "vehicles/j50/j50_gauges_g.dds";
    specularMap[1] = "vehicles/j50/j50_gauges_s.dds";
    normalMap[1] = "vehicles/j50/j50_gauges_n.dds";
    diffuseMap[0] = "vehicles/j50/j50_gauges_d.dds";
    specularMap[0] = "vehicles/j50/j50_gauges_s.dds";
    normalMap[0] = "vehicles/j50/j50_gauges_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    emissive[1] = "1";
    diffuseColor[1] = "1 1 1 0.8";
    useAnisotropic[1] = "1";
};

singleton Material(j50_display)
{
    mapTo = "j50_display";
    diffuseMap[0] = "vehicles/j50/j50_display.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_gauge_screen)
{
    mapTo = "j50_gauge_screen";
    diffuseMap[0] = "@j50_gauge_screen";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_glass)
{
    mapTo = "j50_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/j50/j50_glass_d.dds";
    opacityMap[0] = "vehicles/j50/j50_glass_d.dds";
    diffuseMap[1] = "vehicles/j50/j50_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_glass_int)
{
    mapTo = "j50_glass_int";
    diffuseMap[0] = "vehicles/j50/j50_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_glass_dmg)
{
    mapTo = "j50_glass_dmg";
    diffuseMap[0] = "vehicles/j50/j50_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/j50/j50_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_windshield_dmg)
{
    mapTo = "j50_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/j50/j50_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_engine_1)
{
    mapTo = "j50_engine_1";
    diffuseMap[1] = "vehicles/j50/j50_engine_d.dds";
    specularMap[1] = "vehicles/j50/j50_engine_s.dds";
    normalMap[1] = "vehicles/j50/j50_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_emotor)
{
    mapTo = "j50_emotor";
    diffuseMap[1] = "vehicles/j50/j50_emotor_d.dds";
    specularMap[1] = "vehicles/j50/j50_emotor_s.dds";
    normalMap[1] = "vehicles/j50/j50_emotor_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_emotor_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_lights)
{
    mapTo = "j50_lights";
    diffuseMap[1] = "vehicles/j50/j50_lights_d.dds";
    specularMap[1] = "vehicles/j50/j50_lights_s.dds";
    normalMap[1] = "vehicles/j50/j50_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_lights_on)
{
    mapTo = "j50_lights_on";
    diffuseMap[2] = "vehicles/j50/j50_lights_g.dds";
    specularMap[2] = "vehicles/j50/j50_lights_s.dds";
    normalMap[2] = "vehicles/j50/j50_lights_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_lights_d.dds";
    specularMap[1] = "vehicles/j50/j50_lights_s.dds";
    normalMap[1] = "vehicles/j50/j50_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.7";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_lights_on_intense)
{
    mapTo = "j50_lights_on_intense";
    diffuseMap[2] = "vehicles/j50/j50_lights_g.dds";
    specularMap[2] = "vehicles/j50/j50_lights_s.dds";
    normalMap[2] = "vehicles/j50/j50_lights_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_lights_d.dds";
    specularMap[1] = "vehicles/j50/j50_lights_s.dds";
    normalMap[1] = "vehicles/j50/j50_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_lights_dmg)
{
    mapTo = "j50_lights_dmg";
    diffuseMap[1] = "vehicles/j50/j50_lights_dmg_d.dds";
    specularMap[1] = "vehicles/j50/j50_lights_dmg_s.dds";
    normalMap[1] = "vehicles/j50/j50_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_reverselight)
{
    mapTo = "j50_reverselight";
};

singleton Material(j50_signal_R)
{
    mapTo = "j50_signal_R";
};

singleton Material(j50_signal_L)
{
    mapTo = "j50_signal_L";
};

singleton Material(j50_taillight_R_1)
{
    mapTo = "j50_taillight_R_1";
};

singleton Material(j50_taillight_L_1)
{
    mapTo = "j50_taillight_L_1";
};

singleton Material(j50_headlight)
{
    mapTo = "j50_headlight";
};

singleton Material(j50_runninglight)
{
    mapTo = "j50_runninglight";
};

singleton Material(j50_foglight)
{
    mapTo = "j50_foglight";
};

singleton Material(j50_chmsl_1)
{
    mapTo = "j50_chmsl_1";
};

singleton Material(j50_taillight)
{
    mapTo = "j50_taillight";
};

singleton Material("j50.skin.powerglow")
{
    mapTo = "j50.skin.powerglow";
	colorPaletteMap[3] = "vehicles/j50/j50_skin_powerglow_uv1.dds";
    diffuseMap[3] = "vehicles/j50/j50_skin_powerglow.dds";
    diffuseMapUV[3] = "1";
    useAnisotropic[3] = "1";
    emissive[3] = "1";
    glow[3] = "1";
    diffuseMap[2] = "vehicles/j50/j50_c.dds";
    specularMap[2] = "vehicles/j50/j50_s.dds";
    normalMap[2] = "vehicles/j50/j50_n.dds";
    diffuseMap[1] = "vehicles/j50/j50_d.dds";
    specularMap[1] = "vehicles/j50/j50_s.dds";
    normalMap[1] = "vehicles/j50/j50_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/j50/j50_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    diffuseColor[3] = "2 2 2 1.3";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_misc)
{
	mapTo = "j50_misc";
	reflectivityMap[0] = "vehicles/j50/2017_ferrari_j50_misc.ptc.png";
	diffuseMap[0] = "vehicles/j50/2017_ferrari_j50_misc.ptc.png";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/2017_ferrari_j50_misc.ptc.png";
	specularMap[1] = "vehicles/j50/2017_ferrari_j50_misc.ptc.png";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_etc)
{
	mapTo = "j50_etc";
	reflectivityMap[0] = "vehicles/j50/2017_ferrari_j50_ext_rosso_scuderia.ptc.png";
	diffuseMap[0] = "vehicles/j50/2017_ferrari_j50_ext_rosso_scuderia.ptc.png";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/2017_ferrari_j50_ext_rosso_scuderia.ptc.png";
	specularMap[1] = "vehicles/j50/2017_ferrari_j50_ext_rosso_scuderia.ptc.png";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_glass)
{
	mapTo = "j50_glass";
	reflectivityMap[0] = "vehicles/j50/glass.dds";
	diffuseMap[0] = "vehicles/j50/glass.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/glass.dds";
	specularMap[1] = "vehicles/j50/glass.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "1";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_windows)
{
	mapTo = "j50_windows";
	reflectivityMap[0] = "vehicles/j50/glass.dds";
	diffuseMap[0] = "vehicles/j50/glass.dds";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/glass.dds";
	specularMap[1] = "vehicles/j50/glass.dds";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "1";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_chassis)
{
	mapTo = "j50_chassis";
	reflectivityMap[0] = "vehicles/j50/2017_ferrari_j50_sha.ptc.png";
	diffuseMap[0] = "vehicles/j50/2017_ferrari_j50_sha.ptc.png";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/2017_ferrari_j50_sha.ptc.png";
	specularMap[1] = "vehicles/j50/2017_ferrari_j50_sha.ptc.png";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_cab)
{
	mapTo = "j50_cab";
	reflectivityMap[0] = "vehicles/j50/2017_ferrari_j50_cab.ptc.png";
	diffuseMap[0] = "vehicles/j50/2017_ferrari_j50_cab.ptc.png";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/2017_ferrari_j50_cab.ptc.png";
	specularMap[1] = "vehicles/j50/2017_ferrari_j50_cab.ptc.png";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_badges)
{
	mapTo = "j50_badges";
	reflectivityMap[0] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	diffuseMap[0] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	specularMap[1] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_badges_001)
{
	mapTo = "j50_badges_001";
	reflectivityMap[0] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	diffuseMap[0] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	specularMap[1] = "vehicles/j50/2017_ferrari_j50_badges.ptc.png";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(j50_brake)
{
	mapTo = "j50_brake";
	reflectivityMap[0] = "vehicles/j50/2017_ferrari_j50_lights.ptc.png";
	diffuseMap[0] = "vehicles/j50/2017_ferrari_j50_lights.ptc.png";
	specularMap[0] = "vehicles/common/null.dds";
	diffuseMap[1] = "vehicles/j50/2017_ferrari_j50_lights.ptc.png";
	specularMap[1] = "vehicles/j50/2017_ferrari_j50_lights.ptc.png";
	specularPower[0] = "128";
	pixelSpecular[0] = "1";
	specularPower[1] = "128";
	pixelSpecular[1] = "1";
	diffuseColor[0] = "1 1 1 1";
	diffuseColor[1] = "1 1 1 0.75";
	useAnisotropic[0] = "1";
	useAnisotropic[1] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "1";
	alphaRef = "0";
	dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
	materialTag0 = "beamng"; materialTag1 = "vehicle";
};